<h1>Platba objednávky</h1>
<?php
if (!empty($this->order->getOrderId())) {
    ?>
    <div class="bg-white border-style">
        <div class="padding15">
            <h1>Vaše objednávka byla uložena</h1>
            <div class='orderform'>
                <p>Byl vám odeslán automatický email s potvrzením o objednávce.</p>
                <p>Pokud jste nepřijali během hodiny potvrzení o objednávce, zkuste se podívat jestli nebyl email označen jako spam. Pokud potíže přetrvají, ozvěte se nám na adresu pivoklub@iol.cz</p>
                <table>
                    <tr>
                        <td style="width: 220px"><h2>Identifikační číslo:</h2></td>
                        <td><h2><?= $this->order->getOrderId(); ?></h2></td>
                    </tr>
                    <tr>
                        <td><h2>Status objednávky:</h2></td>
                        <td><h2><?= $this->order->getStatusTitle() ?></h2></td>
                    <tr>
                        <td><h2>Datum přijetí:</h2></td>
                        <td><h2><?= $this->order->getTimestamp() ?></h2></td>
                    </tr>
                </table>
                <h2>Osobní informace byly vymazány z mezipaměti (session).</h2>
            </div>
        </div>
    </div>
    <div class="bg-white border-style">
        <div class="padding15">
            <h1>Platba objednávky</h1>            
            <?php 
            require_once 'i_table.phtml'; 
            switch ($this->order->getPaymentId()) {
                //Paypal
                case 1: ?>
                        <div class='orderform'>
                            <form action="https://www.paypal.com/cgi-bin/webscr" method="post">
                                <input type="hidden" name="charset" value="utf-8">
                                <input type="hidden" name="cmd" value="_cart">
                                <input type="hidden" name="upload" value="1">
                                <input type="hidden" name="business" value="pivoklub@iol.cz">
                                <?php
                                $i = 0;
                                foreach ($this->order->getCartProducts() as $product) {
                                    $i++;
                                    ?>
                                    <input type="hidden" name="<?= 'item_name_' . $i ?>" value="<?= $product->getTitle() ?>">
                                    <input type="hidden" name="<?= 'amount_' . $i ?>" value="<?= $product->getPrice() ?>">
                                    <input type="hidden" name="<?= 'quantity_' . $i ?>" value="<?= $product->getQuantity() ?>">
                                    <?php
                                }
                                if ($this->order->getShippingPrice() > 0) {
                                    $i++;
                                    ?>
                                    <input type="hidden" name="<?= 'item_name_' . $i ?>" value="Doprava">
                                    <input type="hidden" name="<?= 'amount_' . $i ?>" value="<?= $this->order->getShippingPrice(); ?>">
                                    <input type="hidden" name="<?= 'quantity_' . $i ?>" value="<?= $this->order->getShippingCount(); ?>">
                                <?php
                                }
                                if ($this->order->getPaymentPrice() > 0) {
                                    $i++;
                                    ?>
                                    <input type="hidden" name="<?= 'item_name_' . $i ?>" value="<?= ($this->order->getPaymentId() == 1) ? "Poplatek PayPal" : "Dobírka" ?>">
                                    <input type="hidden" name="<?= 'amount_' . $i ?>" value="<?= $this->order->getPaymentPrice(); ?>">
                                    <input type="hidden" name="<?= 'quantity_' . $i ?>" value="<?= $this->order->getPaymentCount(); ?>">
                                <?php } ?>
                                <input type="hidden" name="currency_code" value="CZK">
                                <input type="submit" value="Zaplatit přes PayPal" class='button bg-green border-style active center'>
                            </form>
                        </div>
            <?php
            break;
                //Kreditka
                case 2: ?>
                <?php 
                break;
                //Převod na účet
                case 3: ?>
                <div class='orderform'>
                    <p>Prosím, zaplaťte objednávku na uvedený účet a identifikujte ji správným variabilním symbolem.</p> 
                    <table>
                        <tr>
                            <td style="width: 170px">
                                Částka:
                            </td>
                            <td>
                                <?= $totalprice ?>,- kč
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Číslo účtu :
                            </td>
                            <td>
                                <?= $this->account->setting_value1 ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Kód banky:
                            </td>
                            <td>
                                <?= $this->account->setting_value2 ?>
                                &nbsp;(<?= $this->account->setting_text_cz ?>)
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Variabilní symbol:
                            </td>
                            <td>
                                <?= $this->order->getOrderId() ?>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Konstantní symbol:
                            </td>
                            <td>
                                0308
                            </td>
                        </tr>
                    </table>
                </div>           
                <?php 
                break;
                //Dobírka
                case 4: ?>
                    <div class='orderform'>
                        <p>Vybrali jste jako způsob platby dobírku. Zboží můžete zaplatit hotově nebo kartou jakmile vám je služba PPL doručí.</p>
                    </div>
                <?php 
                break;
            } ?>
            
        </div>
    </div>
    <?php
} else {?>
    <p>Error, špatný token.</p>
<?php
}
?>